<?

/*
 
CONTENTdm Version 4.3000.0     
(c) DiMeMa, Inc. 2007 - All Rights Reserved

*/

$isPCSafariBetaOK = 0;
$PDFPageTextSearch = 1;
$nonMetaView = array('slideshow_viewer.php','compare_viewer.php','viewer.php','doc_viewer.php','subset_viewer.php','pdftext_viewer.php');

$conf = &dmGetCollectionFieldInfo($alias);

$rc = dmGetItemInfo($alias, $itnum, $data);

if(!($parser = xml_parser_create())){
echo "Error creating XML parser<br />\n";
exit;
}

xml_parse_into_struct($parser, $data, $structure, $index);
xml_parser_free($parser);

$imageclass = 'tdimage';

if(($thisfile == 'slideshow_viewer.php') || ($thisfile == 'compare_viewer.php')){
$imageclass = 'tdfavimage';
}
// EAD CUSTOMIZATION: dmGetImageInfo call moved here from further down in this file.  The image information
// 	is required to determine if this item is an EAD file.
dmGetImageInfo($alias, $itnum, $filename, $type, $width, $height);

// EAD CUSTOMIZATION: The following logic determines if this item is an EAD file, and sets $type to 'ead' and
//		$nonMetaView to 'item_viewer.php' if it is.  $nonMetaView and $type are used in a switch statement in this file
//		to determine which item viewer to use for this item.  
//		For this customization we add an additional viewer, basic_view_ead.php.
//
//		This check is limited to items from the "/eadcollection" collection that have the file extension .xml.
// 	Note that because Contentdm field aliases can be wildly inconsistent across collections, even if the field name 
//		is exactly the same, the logic below checks for ANY field that contains ONLY the value 'ead' (lowercase).   
$isEadFile = false;
if( "/eadcollection" == urldecode($_GET['CISOROOT']) && strtolower(substr($filename, -4)) == '.xml' ) 
{
	foreach( $structure as $fielddef )
	{
		if( array_key_exists('value', $fielddef) )
		{
			if( 'ead' == $fielddef['value']  ) 
			{
				$type = 'ead';
				$nonMetaView[] = 'item_viewer.php';
			}
		}
	}
}
// END EAD CUSTOMIZATION
?>

<table cellpadding="<?=S_RESULTS_PADDING_1?>" cellspacing="0" border="0" width="100%">
<tr>
	<td align="center" valign="top">

	<table cellpadding="<?=S_RESULTS_PADDING_2?>" align="center" cellspacing="0" border="0" width="100%" style="border: <?=S_RESULTS_BORDER?>px solid <?=S_RESULTS_BORDER_BG?>">


<? if(!in_array($thisfile, $nonMetaView)){ ?>

	<tr>
		<td>

		<table border="0" cellpadding="1" cellspacing="0" width="100%" style="border-bottom: <?=S_RESULTS_BORDER?>px solid <?=S_RESULTS_BORDER_BG?>">
		<tr>

<? if($thisfile == "subset_viewer.php"){ ?>
		
			<td align="left"><span class="maintext"><b>

<? } else { ?>

			<td align="center"><span class="maintext"><b>

<? } ?>
			
<?

if($rc == -1){
echo '';
} else {
	if(isset($structure[$index['TITLE'][0]]["value"])){
	echo $structure[$index['TITLE'][0]]["value"];
	}
}

?>

			</b></span></td>
		</tr>
		</table>

		</td>
	</tr>


<? } ?>

	<tr>
		<td>

		<table cellpadding="<?=S_RESULTS_PADDING_1?>" align="center" cellspacing="0" border="0" width="100%">
		<tr>
			<td class="<?=$imageclass?>">

			<table cellpadding="<?=S_RESULTS_PADDING_1?>" align="center" cellspacing="0" border="0" width="100%">
			<tr>
			
<? if($thisfile == "subset_viewer.php"){ ?>
		
			<td align="left"><span class="maintext">

<? } else { ?>

			<td align="center"><span class="maintext">

<? } ?>

<? 

// EAD CUSTOMIZATION: dmGetImageInfo has been moved nearer to the beginning of this file for the EAD customization.
//
//dmGetImageInfo($alias, $itnum, $filename, $type, $width, $height);
//
// END EAD CUSTOMIZATION
if(($rc == 2) || ($rc == -1)){
echo L_RESTRICTED_FILE;

} else {

switch($thisfile){

	case "slideshow_viewer.php":
	case "compare_viewer.php":

		if(in_array($type, $isBasicImage)){
		echo '<img src="/cgi-bin/showfile.exe?CISOROOT='.$alias.'&CISOPTR='.$itnum.'" width="'.$width.'" height="'.$height.'" alt="" />';
		} elseif($type == "null"){
			if (defined('L_NULL_ITEM')) {
			echo L_NULL_ITEM;
			}
		} else {
		echo '<table bgcolor="'.S_PAGE_BG.'"><tr><td><span class="maintext">'.L_NOT_SLIDE_IMAGE.'</span></td></tr></table>';
		}

	break;

	case "item_viewer.php":

		if(in_array($type, $isBasicImage)){
		echo '<img src="/cgi-bin/showfile.exe?CISOROOT='.$alias.'&CISOPTR='.$itnum.'" width="'.$width.'" height="'.$height.'" alt="" />';
		} elseif($type == "null"){
			if (defined('L_NULL_ITEM')) {
			echo L_NULL_ITEM;
			}
		} elseif(strpos(strtolower($filename), '.pdf') > 0){
		
			if(S_SHOW_ITEMVIEW_PDF == "1"){
			echo '<b><a href="/cgi-bin/showfile.exe?CISOROOT='.$alias.'&CISOPTR='.$itnum.'&filename='.substr($filename,strrpos($filename, "/")+1).$searchstr.'" target="_blank" title="'.L_OPEN_PDF_NEW_WINDOW.'">'.L_OPEN_PDF_NEW_WINDOW.'</a></b> | <b><a href="#metajump" title="'.L_VIEW_PAGE_DESCR.'">'.L_VIEW_PAGE_DESCR.'</a></b><br /><br />
		<iframe name="right" width="90%" height="450px" src="/cgi-bin/showfile.exe?CISOROOT='.$alias.'&CISOPTR='.$itnum.'&filename='.substr($filename,strrpos($filename, "/")+1).$searchstr.'" frameborder="0" marginwidth="0" marginheight="0" scrollbars="1">
		</iframe>';
			} else {
			echo "<b><a href=\"/cgi-bin/showfile.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."&filename=".substr($filename,strrpos($filename, "/")+1).$searchstr."\" target=\"_blank\">".L_VIEW_ITEM."</a></b>";
			}
		} 
		// EAD CUSTOMIZATION: Added the following elseif block.  If this item has been determined to be an EAD file, include
		//		the custom EAD viewer.  This file should be [CDM document root]/cdm4/includes/basic_view_ead.php, unless 
		//		INCLUDE_PATH has been changed from its default.  INCLUDE_PATH is set in config.php.
		elseif( $type == 'ead' )
		{
			require INCLUDE_PATH . DIRECTORY_SEPARATOR . 'basic_view_ead.php';
		} 
		// END EAD CUSTOMIZATION
		else {
		echo "<b><a href=\"/cgi-bin/showfile.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."&filename=".substr($filename,strrpos($filename, "/")+1)."\" target=\"_blank\">".L_VIEW_ITEM."</a></b>";
		}
	break;

	case "subset_viewer.php":

	if(isset($_GET['ld']) && ($_GET['ld'] == "1")){

		echo "<script language=\"JavaScript\" type=\"text/javascript\">
		<!--
location.replace('/cgi-bin/showpdf.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."&CISOPAGE=".$pageptr."');
		//-->
		</script>";

	} else {

		echo "<script language=\"JavaScript\" type=\"text/javascript\">
		<!--
		if(!parent.opener.List_menu){
		document.write('<b>Error: List menu array not furnished<\/b>');
		} else if(parent.opener.List_menu.length < 3){
		document.write('<b>Error: Insufficient items<\/b>');
		} else if(parent.opener.List_menu[0][1] == ''){
		document.write('<b>Error: Document not titled<\/b>');
		} else {
		document.write('<b>'+parent.opener.List_menu[0][1]+'<\/b><br /><br />".L_SUBSET_TEXT_1."<br /><br />".L_SUBSET_TEXT_2."');
		}
		//-->
		</script>";
		
	}

	break;

	case "pdftext_viewer.php":

	$searchstr = ((isset($_COOKIE["SEARCH"])) && ($_COOKIE["SEARCH"] != ""))?substr($_COOKIE["SEARCH"],strpos($_COOKIE["SEARCH"],"CISOSEARCHALL<")+14):"";
	$searchstr = substr($searchstr,0,strpos($searchstr,"<")-1);
	$searchstr = str_replace('"','',$searchstr);
	$searchstr = (!empty($searchstr))?"#search=%22".trim($searchstr)."%22":"";
	$searchstr = (($PDFPageTextSearch == 1) && (@$_GET["s"] == "1"))?addslashes($searchstr):"";

	echo "<script language=\"JavaScript\" type=\"text/javascript\">
	<!--
	if((!isMac) && (isSafari) && (!".$isPCSafariBetaOK.")){
	document.write('<b><a href=\"/cgi-bin/showpdf.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."&CISOPAGE=".$pageptr.$searchstr."\" target=\"_blank\">".L_VIEW_ITEM."<\/a><\/b>');
	} else {
location.replace('/cgi-bin/showpdf.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."&CISOPAGE=".$pageptr.$searchstr."');
	}
	//-->
	</script>";

	break;

	default:
	
		if(in_array($type, $isBasicImage)){
		echo '<img src="/cgi-bin/showfile.exe?CISOROOT='.$alias.'&CISOPTR='.$itnum.'" width="'.$width.'" height="'.$height.'" alt="" />';
		} elseif($type == "null"){
			if (defined('L_NULL_ITEM')) {
			echo L_NULL_ITEM;
			}
		} elseif(strpos(strtolower($filename), '.pdf') > 0){
		echo "<script language=\"JavaScript\" type=\"text/javascript\">
		<!--
		if((!isMac) && (isSafari) && (!".$isPCSafariBetaOK.")){
		document.write('<b><a href=\"/cgi-bin/showfile.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."&filename=".substr($filename,strrpos($filename, "/")+1)."\" target=\"_blank\">".L_VIEW_ITEM."<\/a><\/b>');
		} else {
		location.replace('/cgi-bin/showfile.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."');
		}
		//-->
		</script>";
		
		} else if(isset($pageptr) && $pageptr != 0) {
		
		echo "<script language=\"JavaScript\" type=\"text/javascript\">
		<!--
		if((!isMac) && (isSafari) && (!".$isPCSafariBetaOK.")){
		document.write('<b><a href=\"/cgi-bin/showpdf.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."&CISOPAGE=".$pageptr."'+isSearchHit(\"".$pageptr."\")+'\" target=\"_blank\">".L_VIEW_ITEM."<\/a><\/b>');
		} else {
location.replace('/cgi-bin/showpdf.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."&CISOPAGE=".$pageptr."'+isSearchHit(\"".$pageptr."\"));
		}
		//-->
		</script>";
		} else {
		echo "<b><a href=\"/cgi-bin/showfile.exe?CISOROOT=".$alias."&CISOPTR=".$itnum."&filename=".substr($filename,strrpos($filename, "/")+1)."\" target=\"_blank\">".L_VIEW_ITEM."</a></b>";
		}

	break;
	}
}

?>

				</span></td>
			</tr>
			</table>

			</td>
		</tr>

<? if((!in_array($thisfile, $nonMetaView)) && ($rc != -1)){ ?>

		<tr>
			<td>
			
			<table border="0" cellpadding="1" cellspacing="0" width="100%" style="border-top: <?=S_RESULTS_BORDER?>px solid <?=S_RESULTS_BORDER_BG?>">
			<tr>
				<td><a name="metajump"><img src="images/spacer.gif" width="1" height="1" border="0" alt="" /></a></td>
			</tr>

<? include(INCLUDE_PATH."meta_scr.php"); ?>

			</table>

			</td>
		</tr>
		
<? } ?>


		</table>

		</td>
	</tr>
	</table>
	
	</td>
</tr>
</table>